window.comTool = (function () {
    /**
     * 设置页面标题
     * @param {String} title 标题
     */
    this.setTitle = function (title) {
        document.title = title
    }

    /**
     * 获取URL的参数
     * @param {String} name 获取的key
     */
    this.getUrlString = function (name) {
        var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
        var r = window.location.search.substr(1).match(reg);
        if (r != null)
            return decodeURI(r[2]);
        return null;
    }

    // 获取channel
    this.getChannel = function () {
        if (location.host === 'tianyun.bxhyw.com') {
          let channel = 'xlmbxhyw'
          document.cookie = "channel=" + channel
          return channel
        } else if (location.host === 'www.pbazi.com.cn') {
          let channel = 'xlmyouyu'
          document.cookie = "channel=" + channel
          return channel
        } else {
          let channel = this.getUrlString('channel') || localStorage.getItem('channel') || 'xlmother'
          localStorage.setItem('channel', channel)
          document.cookie = "channel=" + channel
          return channel
        }
    }

    // 获取schannel
    this.getSchannel = function () {
        let schannel = this.getUrlString('schannel') || localStorage.getItem('schannel') || 'xlmother'
        localStorage.setItem('schannel', schannel)
        document.cookie = "schannel=" + schannel
        return schannel
    }

    // 统计某个字符串出现的次数
    this.statisticsTimes = function (str) {
        let count = 0
        while (str.indexOf('1') !== -1) {
            str = str.slice(str.indexOf('1') + 1)
            count += 1
        }
        return count
    }

    /**
 * 生成n个从start到end的不重复随机数
 * @param number n个
 * @param start 起始数字
 * @param end 结尾数字
 * @return {Array}
 */
    this.random = function (number, start, end) {
        var arr = [];
        function _inner (start, end) {
            var span = end - start;
            return parseInt(Math.random() * span + start)
        }
        while (arr.length < number) {
            var num = _inner(start, end)
            if (arr.indexOf(num) == -1) {
                arr.push(num)
            }
        }
        return arr
    }

    /**
     * 从数组中随机获取n个不重复数据,返回组成的新数组
     * @params array 数组
     * @params number 个数
     * @returns {Array}
     */
    this.getRandomArray = function (array, number) {
        if (number > array.length) {
            return
        }
        let tempData
        let arr = []
        let randomArray = random(10, 1, array.length)
        for (let i = 0; i < number; i++) {
            tempData = array[randomArray[i]]
            arr.push(tempData)
        }
        return arr
    }

    return this
})()

// 节流
function throttle (fn, interval = 300) {
    let canRun = true
    return function () {
        if (!canRun) return
        canRun = false
        setTimeout(() => {
            fn.apply(this, arguments)
            canRun = true
        }, interval)
    }
}

// 获取min-max范围的随机整数
function getRandNumber (min, max) {
    return Math.floor(Math.random() * (max - min + 1) + min)
}

// 分离出年月日
function getYMD (birthday) {
    var year = birthday.substring(0, 4)
    var month = birthday.substring(4, 6)
    var day = birthday.substring(6, 8)
    return {
        year: year,
        month: month,
        day: day
    }
}

// 判断是否成年
function checkNianling (birthday) {
    var birth_year = birthday.substring(0, 4)
    var birth_month = birthday.substring(4, 6)
    var birth_day = birthday.substring(6, 8)
    var year = new Date().getFullYear();
    if (year > Number(birth_year) + 18) {
        return true
    } else {
        if (year == Number(birth_year) + 18) {
            var month = new Date().getUTCMonth() + 1;// 拿到今天的月份
            if (Number(birth_month) < month) {
                return true
            } else {
                if (Number(birth_month) == month) {
                    var day = new Date().getDate();
                    if (Number(birth_day) < day) {
                        return true
                    } else {
                        // return false
                        Toast.show('未满18岁，暂不提供服务！', 'text', 500)
                        return true
                    }
                } else {
                    // return false
                    Toast.show('未满18岁，暂不提供服务！', 'text', 500)
                    return true
                }
            }
        } else {
            // return false
            Toast.show('未满18岁，暂不提供服务！', 'text', 500)
            return true
        }
    }
}

function isPoneAvailable (phone) {
  var myreg = /^[1][3,4,5,7,8][0-9]{9}$/;
  if (!myreg.test(phone)) {
    return false;
  } else {
    return true;
  }
}

// 百度统计
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?e2e16b005eba40c5ed1f45a500dca7d1";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})()
